org.icefaces.ace.component.tableconfigpanel

## Interface ITableConfigPanel

- All Known Implementing Classes:
    TableConfigPanel, TableConfigPanelBase

      public interface ITableConfigPanel

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getAccesskey()`
    `java.lang.String` | `getDragHandle()`
    `java.lang.String` | `getFor()`
    `java.lang.Integer` | `getForcedRenderCount()`
    `java.lang.String` | `getInColumnId()`
    `java.lang.Integer` | `getOffsetLeft()`
    `java.lang.Integer` | `getOffsetTop()`
    `java.lang.String` | `getType()`
    `boolean` | `isColumnNameConfigurable()`
    `boolean` | `isColumnOrderingConfigurable()`
    `boolean` | `isColumnSortingConfigurable()`
    `boolean` | `isColumnVisibilityConfigurable()`
    `boolean` | `isHideDisabledRows()`
    `java.lang.Boolean` | `isModal()`
    `void` | `setAccesskey(java.lang.String accesskey)`
    `void` | `setColumnNameConfigurable(boolean columnNameConfigurable)`
    `void` | `setColumnOrderingConfigurable(boolean columnOrderingConfigurable)`
    `void` | `setColumnSortingConfigurable(boolean columnSortingConfigurable)`
    `void` | `setColumnVisibilityConfigurable(boolean columnVisibilityConfigurable)`
    `void` | `setDragHandle(java.lang.String dragHandle)`
    `void` | `setFor(java.lang.String forTarget)`
    `void` | `setForcedRenderCount(java.lang.Integer forcedRenderCount)`
    `void` | `setHideDisabledRows(boolean hideDisabledRows)`
    `void` | `setInColumnId(java.lang.String inColumnId)`
    `void` | `setModal(java.lang.Boolean modal)`
    `void` | `setOffsetLeft(java.lang.Integer offsetLeft)`
    `void` | `setOffsetTop(java.lang.Integer offsetTop)`
    `void` | `setType(java.lang.String type)`

- - ### Method Detail

    - #### setAccesskey

          void setAccesskey(java.lang.String accesskey)

    - #### getAccesskey

          java.lang.String getAccesskey()

    - #### setColumnNameConfigurable

          void setColumnNameConfigurable(boolean columnNameConfigurable)

    - #### isColumnNameConfigurable

          boolean isColumnNameConfigurable()

    - #### setColumnOrderingConfigurable

          void setColumnOrderingConfigurable(boolean columnOrderingConfigurable)

    - #### isColumnOrderingConfigurable

          boolean isColumnOrderingConfigurable()

    - #### setColumnSortingConfigurable

          void setColumnSortingConfigurable(boolean columnSortingConfigurable)

    - #### isColumnSortingConfigurable

          boolean isColumnSortingConfigurable()

    - #### setColumnVisibilityConfigurable

          void setColumnVisibilityConfigurable(boolean columnVisibilityConfigurable)

    - #### isColumnVisibilityConfigurable

          boolean isColumnVisibilityConfigurable()

    - #### setDragHandle

          void setDragHandle(java.lang.String dragHandle)

    - #### getDragHandle

          java.lang.String getDragHandle()

    - #### setFor

          void setFor(java.lang.String forTarget)

    - #### getFor

          java.lang.String getFor()

    - #### setHideDisabledRows

          void setHideDisabledRows(boolean hideDisabledRows)

    - #### isHideDisabledRows

          boolean isHideDisabledRows()

    - #### setInColumnId

          void setInColumnId(java.lang.String inColumnId)

    - #### getInColumnId

          java.lang.String getInColumnId()

    - #### setModal

          void setModal(java.lang.Boolean modal)

    - #### isModal

          java.lang.Boolean isModal()

    - #### setOffsetLeft

          void setOffsetLeft(java.lang.Integer offsetLeft)

    - #### getOffsetLeft

          java.lang.Integer getOffsetLeft()

    - #### setOffsetTop

          void setOffsetTop(java.lang.Integer offsetTop)

    - #### getOffsetTop

          java.lang.Integer getOffsetTop()

    - #### setType

          void setType(java.lang.String type)

    - #### getType

          java.lang.String getType()

    - #### setForcedRenderCount

          void setForcedRenderCount(java.lang.Integer forcedRenderCount)

    - #### getForcedRenderCount

          java.lang.Integer getForcedRenderCount()

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.